Subject: Re: bug#24884: Segfault on (mkstemp! "XX" 0)

From: Andy Wingo <[email-masked]>
Date: Wed, 01 Mar 2017 14:52:37 +0100

On Wed 11 Jan 2017 22:33, Andy Wingo <[email-masked]> writes:

> On Sat 05 Nov 2016 19:16, Jean Louis <[email-masked]> writes:
>
>> I was just testing a function, and before I figured out what is
>> happening, it is segfaulting on:
>> (mkstemp! "XX" 0)
>>
>> I don't say, I am using it right. It should not segfault.
>
> I agree.  This is a pending topic in Guile.  (The reason, of course:
> mutating literal constants is not valid Scheme.  Guile allocates
> some constant literals in read-only memory.  Mutating that memory, or
> attempting to do so, segfaults, as you have seen.  We should raise an
> error instead.)

Sigh, spoke too soon.  This one turned out to be a rather more ordinary
bug.  Fixed in git on both branches.  Thanks for the report!

Andy